> For the complete documentation index, see [llms.txt](https://developers.lfj.gg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.lfj.gg/contracts/interfaces/ipendingownable.md).

# IPendingOwnable

Required interface of Pending Ownable contract used for LBFactory

## PendingOwnerSet

```solidity
event PendingOwnerSet(address pendingOwner)
```

## OwnershipTransferred

```solidity
event OwnershipTransferred(address previousOwner, address newOwner)
```

## owner

```solidity
function owner() external view returns (address)
```

## pendingOwner

```solidity
function pendingOwner() external view returns (address)
```

## setPendingOwner

```solidity
function setPendingOwner(address pendingOwner) external
```

## revokePendingOwner

```solidity
function revokePendingOwner() external
```

## becomeOwner

```solidity
function becomeOwner() external
```

## renounceOwnership

```solidity
function renounceOwnership() external
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.lfj.gg/contracts/interfaces/ipendingownable.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
